import { createScatterPlot } from './scatter.js';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/Prathi0410/df78d778e3862b3f3ac68b106daace50/raw/6fa6d52dda6cbc638eb6cb0f00b36ecf20ef5c37/phones%2520data.ice7.csv';

const parseRow = (d) => {
  d.SalesVolume = +d.SalesVolume;
  return d;
};

const width = 800;
const height = 600;

const scatterPlot = createScatterPlot()
  .width(width)
  .height(height)
  .margin({ top: 20, right: 20, bottom: 40, left: 60 })
  .radius(5);

const svg = d3
  .select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  const data = await csv(csvUrl, parseRow);

  let i = 0;
  setInterval(() => {
    const columns = ['Price', 'SalesVolume'];
    scatterPlot.xValue(
      (d) => d[columns[i % columns.length]],
    );
    svg.call(scatterPlot.data(data));
    i++;
  }, 2000); // Change columns every 2 seconds
};

main();
